# Video Portal

Minimal video portal based on FOSS software:

- Nginx as webserver and cache
- Python+uwsgi+Django as framework
- Python+FFmpeg for video conversion
- clappr.io as nice video player
- W3.CSS for website design

At the moment the software is a bit hacky, URLs are hardcoded and who knows what race conditions
are currently possible... Cleanup is already work in progress.

With a bit more time I'd have written this a bit cleaner to begin with, but things had to simply
start working and I didn't use Django in quite a while... Also it was intended for a very small
user base at first, I didn't really think more than three people would use it for their videos.
As long as this warning persists I'd recommend not to copy any code from this repository for any
of your projects. It's functional but nothing beautiful, sorry :')

# Basic Features

## Login

Users of the Department of Computer Science can login using their normal unix/email credentials
while other departments can register their own user accounts using email activation.

Admins can also create completely external users (e.g. for project partners or external lecturers).

## Courses

Everybody can create courses, but they are hiden from other users by default.

Courses can be made accessible to the public, to logged-in users (so basically just members of the
university) or to only selected users (whitelisting is only possible by username as we are not storing
any matriculation numbers).

Since often multiple people are lecturing a course it's possible to add more lecturers (also by username),
and give them permission to do basically anything in the course except for directly editing the course
details. This can only be done by the course owner or an admin.

Next to videos it's also possible to upload simple files, allowing some flexibility for standalone use
by smaller courses that don't really need any LEA course or other ressources.

## Videos

After uploading, videos are converted to h264+aac with some special parameters to improve browser
compatibility. This process also tries to level the audio to a platform-wide norm (to -16 LUFS) and
creates an initial thumbnail image (from 5 seconds into the video).

As soon as conversion is finished the videos are accessible and their names and descriptions can be
changed. It's also possible to upload a new thumbnail image and even a WebVTT (.vtt) subtitles track.

Unfortunately we won't be able to provide automatic subtitles as the only working technologies are
completely proprietary and expensive. As a workaround you could upload your videos to youtube (as
private videos) and copy their generated subtitles to our platform... Not great, but it works.

Files can also be attached directly underneath a video, so you'll be able to provide your slides,
examples, homework, etc. directly with the video.

Lecturers of a course are given the option of a "Share Link" which can be linked in LEA or other platforms
and allows access to a video without any further authorization, and an "Embed Video"-Code that can
be used to embed the videos as iframe on pages where directly using HTML is possible (e.g. your own website).

# Admin / Moderator features

Admins and Moderators are able to access all courses, edit course ownership, disable/enable users,
reset passwords, add/remove cdn hosts, etc. etc. etc.

# Planned features

See TODO.md
