from django.core.management.base import BaseCommand, CommandError
from django_auth_ldap.backend import LDAPBackend

class Command(BaseCommand):
    help = 'Populate LDAP user in local database'

    def add_arguments(self, parser):
        parser.add_argument('users', nargs='+', type=str)

    def handle(self, *args, **options):
        ldap_backend = LDAPBackend()

        for user in options['users']:
            try:
                ldap_backend.populate_user(user)
                print("Added user: %s" % user)
            except:
                print("Error adding user: %s" % user)
