from django.core.management.base import BaseCommand, CommandError
from django_auth_ldap.backend import LDAPBackend
import os

class Command(BaseCommand):
    help = 'Populate LDAP user in local database (from file with list of ldap usernames)'

    def add_arguments(self, parser):
        parser.add_argument('path', type=str)

    def handle(self, *args, **options):
        if not os.path.exists(options['path']):
            print("File not found")
            return 1

        ldap_backend = LDAPBackend()

        for user in open(options['path'], 'r').readlines():
            user = user.strip()
            try:
                ldap_backend.populate_user(user)
                print("Added user: %s" % user)
            except:
                print("Error adding user: %s" % user)
