from django.contrib import admin
from .models import Room, Pattern

class RoomAdmin(admin.ModelAdmin):
    def moderator_names(self):
        return ", ".join(["{} {}".format(l.first_name, l.last_name) if (l.first_name or l.last_name) else l.username for l in self.moderators.all()])

    list_display = ('name', moderator_names)
    autocomplete_fields = ["moderators"]

admin.site.register(Room, RoomAdmin)

class PatternAdmin(admin.ModelAdmin):
    def whitelisted_names(self):
        return ", ".join(["{} {}".format(l.first_name, l.last_name) if (l.first_name or l.last_name) else l.username for l in self.whitelisted.all()])

    list_display = ('pattern', whitelisted_names)
    autocomplete_fields = ["whitelisted"]

admin.site.register(Pattern, PatternAdmin)

