from django.conf import settings
import json
import requests
from requests.auth import HTTPBasicAuth

auth = HTTPBasicAuth('modapi', settings.JITSI_MODAPI_SECRET)

def modapi_get(path):
    return json.loads(requests.get("%s/%s" % (settings.JITSI_MODAPI_URL, path), auth=auth, timeout=3).text)

def modapi_post(path, data):
    return requests.post("%s/%s" % (settings.JITSI_MODAPI_URL, path), auth=auth, data=data, timeout=3).text

def modapi_get_room(room):
    return modapi_get("rooms/%s" % room)

def modapi_reset_password(room):
    return modapi_post("rooms/%s" % room, {'resetpassword': 1})

def modapi_grant_moderator(room, nick):
    return modapi_post("rooms/%s" % room, {'grant': nick})

def modapi_revoke_moderator(room, nick):
    return modapi_post("rooms/%s" % room, {'revoke': nick})
