from django.db import models
from django.contrib.auth import get_user_model

class Room(models.Model):
    name = models.CharField(blank=False, null=False, max_length=40, unique=True)
    moderators = models.ManyToManyField(get_user_model(), related_name='jitsi_moderating', blank=True)
    reason = models.TextField('Approval Reason', null=True, blank=True)
    approved = models.BooleanField(default=False)

class Pattern(models.Model):
    pattern = models.CharField(blank=False, null=False, max_length=40, unique=True)
    whitelisted = models.ManyToManyField(get_user_model(), related_name='jitsi_whitelisted', blank=True)
