from django.contrib import admin
from django.urls import path
from videos import urls as videos
from fhuser import urls as fhuser
from jitsimod import urls as jitsimod
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.auth import views as auth_views
from videoportal import views as videoportal_views

urlpatterns = [
    path('admin/', admin.site.urls),
]

urlpatterns += [
    path('imprint/', videoportal_views.imprint, name='imprint'),
]

urlpatterns += videos.urlpatterns
urlpatterns += fhuser.urlpatterns
urlpatterns += jitsimod.urlpatterns

if settings.DEBUG:
    urlpatterns += static("/foo/", document_root=settings.MEDIA_ROOT)
