from django.urls import path, re_path

from . import views
from . import api

urlpatterns = [
    path('api/heartbeat', api.heartbeat, name='heartbeat'),
    path('api/task', api.task, name='task'),
    path('api/log', api.log, name='log'),
    path('api/createquality', api.createquality, name='createquality'),
    path('api/upload', api.upload, name='api_upload'),
    path('api/check_key', api.check_key, name='check_key'),
    path('api/update', api.update, name='api_update'),
    path('', views.index, name='index'),

    re_path('^cdn/(?P<path>.*)', views.cdn, name='cdn'),
    path('embed', views.embed, name='embed'),
    path('update', views.update, name='update'),
    path('upload', views.upload, name='upload'),
    path('delete', views.delete, name='delete'),
    path('getlog', views.getlog, name='getlog'),
    path('newcourse', views.newcourse, name='newcourse'),

    path('course/<int:course_id>', views.course, name='course'),
    path('course/<int:course_id>/<int:video_id>', views.video, name='video'),
    path('video/<str:video_key>', views.video_by_key, name='video_by_key'),

]

urlpatterns += [
    path('lecture/<int:course_id>', views.course, name='course'),
    path('lecture/<int:course_id>/<int:video_id>', views.video, name='video'),
]

